0

At the moment I try to install HANA SPS 11 on top of SPS 9 (upgrade)

HANA was installed by a co-worker who is not with the company any more.

First I tried to do the Upgrade via Eclipse -> right click on System (Multitenant logged in as User System on System DB) -> Lifecycle Management -> System Lifecycle Management -> Check for SAP HANA Compoments Updates

Then I get the Message "Could not detect the installed components on system HDB." (not sure if HDB means HANA DB oder the tenant HDB)

As a result I tried to update from command line (via SSH). There seemded to be a problem with the lifecycle manager. So I checked and to my surprise there was no HANA lifecycle Manager installed.

Tried to install the lifecycle manager which complained that no Host Agent was installed. So I installed the latest Host Agent (7.21)

**Now the Installation of Lifecycle Manager aborts with a message that the patch level is too low! :

    # hana_lifecycle_manager/hdbinst 

SAP HANA Lifecycle Manager installation kit detected.


SAP HANA Database Installation Manager - SAP HANA HLM Installation 1.50.00.000000
*********************************************************************************


Options: 
  SAP HANA system ID | Description
  --------------------------------------------------------------
  HDB                | SAP HANA Database HDB 1.00.097.1436865239
Enter SAP HANA system ID [HDB]: 
Root user password. Mandatory for Distributed system with not configured Trusted SSH Connectivity, or else not applicable. [""]: 
Root user SSH passphrase. Optional for Distributed system with configured Trusted SSH Connectivity, or else not applicable. [""]: 
Checking installation...
Preparing package "SAP HANA lifecycle manager"...
  Installation failed
    Error checking installation
      hanadb01: Executing pre-installation checks failed. Installation will not proceed.
    Details: /hana/shared/HDB/trans/hlm_install_1453734283/hanadb01/checks/MinPatchNumberCheck.sh failed to execute Details:

*************************** Component ********************
/usr/sap/hostctrl/exe/saphostexec: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapstartsrv: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/saphostctrl: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapcontrol: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/lssap: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapdsigner: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/hostexecstart: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapuxuserchk: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/librfccm.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/saposcol: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 18 2016, 22:17:29)
/usr/sap/hostctrl/exe/sapacosprep: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapacosprep.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/ldapreg: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 18 2016, 22:17:29)
/usr/sap/hostctrl/exe/ldappasswd: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 18 2016, 22:17:29)
/usr/sap/hostctrl/exe/sldreg: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sldreglib.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapcpp47.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 18 2016, 22:17:29)
/usr/sap/hostctrl/exe/xml71d.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 18 2016, 22:17:29)
/usr/sap/hostctrl/exe/sapdbctrl: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdbadactrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdbdb6ctrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdboractrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdbsybctrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdbsiqctrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/libsapdbhdbctrl.so: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapcimb: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/sapcimc: 721, patch 621, changelist 1641576, linuxx86_64, opt (Jan 19 2016, 02:07:13)
/usr/sap/hostctrl/exe/SAPCAR: 721, patch 618, changelist 1633827, linuxx86_64, opt (Dec 10 2015, 22:11:09)
**********************************************************
--------------------
SAPHOSTAGENT information
--------------------

kernel release                721

kernel make variant           721_REL

compiled on                   Linux GNU SLES-9 x86_64 cc4.1.2  for linuxx86_64

compiled for                  64 BIT

compilation mode              Non-Unicode

compile time                  Jan 19 2016 02:04:53

patch number                  9

latest change number          1641576


---------------------
supported environment
---------------------

operating system
Linux 2.6
Linux 3
Linux

MinPatchNumberCheck.sh: The current SAP host agent patch number is 9. It has to be at least 153. Download the latest version of SAP Host Agent from SAP Service Marketplace and start hdbinst using the option --host_agent_package. It will be updated automatically.


Log file written to '/var/tmp/hdb_HLM_2016-01-25_16.04.06/hdbinst_HLM.log'.

How to fix the installation of the Livecycle Manager?

0

Since I asume that the issue is a Bug I fixed it with a work-around:

renamed /usr/sap/hostctrl/exe/saphostexec -> /usr/sap/hostctrl/exe/saphostexecOrg

created a script and called it /usr/sap/hostctrl/exe/saphostexec

Script Content:

if [ "$1" = "-version" ]
        then echo "*************************** Component ********************
**********************************************************
--------------------
SAPHOSTAGENT information
--------------------

kernel release                721

kernel make variant           721_REL

compiled on                   Linux GNU SLES-9 x86_64 cc4.1.2  for linuxx86_64

compiled for                  64 BIT

compilation mode              Non-Unicode

compile time                  Jan 19 2016 02:04:53

patch number                  621

latest change number          1641576


---------------------
supported environment
---------------------

operating system
Linux 2.6
Linux 3
Linux
"
elif [ "$1" = "-restart" ]
        then /usr/sap/hostctrl/exe/saphostexecOrg -stop
/usr/sap/hostctrl/exe/saphostexecOrg pf=/usr/sap/hostctrl/exe/host_profile
else
usr/sap/hostctrl/exe/saphostexecOrg $1 $2 $3 $4 $5 $6
fi

(captchered the output of saphostexec and replaced patchnumber 9 with 621)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.